using System;

namespace Quadarax.Foundation.Core.QConsole.Value
{
    public class TimeSpanValue : AbstractValue
    {

        protected override object ConvertStringToValue(string valueAsString)
        {
            return TimeSpan.Parse(valueAsString);
        }

        public override string AsString()
        {
            return HasValue ? Get().ToString() : string.Empty;
        }
    }
}
